Bug 828849 - Review Request: drupal6-faq - FAQ Module for Drupal6
Review Request: drupal6-faq - FAQ Module for Drupal6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 09:14 EDT by Anderson Silva
Modified: 2013-04-01 18:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 18:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
drupal6-faq-review.txt (6.48 KB, text/plain)
2013-02-27 17:52 EST, Shawn Iwinski
no flags Details
phpci.log (19.58 KB, text/x-log)
2013-02-27 17:53 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Anderson Silva 2012-06-05 09:14:42 EDT
Spec URL: http://people.redhat.com/~ansilva/drupal6-faq.spec
SRPM URL: http://people.redhat.com/~ansilva/drupal6-faq-1.13-3.fc16.src.rpm
Description: The Frequently Asked Questions (faq) module allows users, with appropriate permissions, to create question and answer pairs which they want displayed on the 'faq' page.
Fedora Account System Username: afsilva
Comment 1 Anderson Silva 2012-08-06 12:33:44 EDT
New Package SCM Request
=======================
Package Name: drupal6-faq
Short Description: FAQ Module for Drupal6
Owners: afsilva
Branches: f17 el6
Comment 2 Anderson Silva 2012-08-06 12:35:57 EDT
my bad, not ready yet.
Comment 3 Wesley Hearn 2012-08-07 10:58:28 EDT
[11:19 AM] 
[0]whearn@Pluto:~/rpmbuild/SRPMS $ rpmlint /var/lib/mock/fedora-17-x86_64/result/drupal6-faq-1.13-3.fc17.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[11:20 AM] 
[0]whearn@Pluto:~/rpmbuild/SOURCES $ sha256sum faq-6.x-1.13.tar.gz 
6004bf782383859d05d3b9ce572cf0be444098c288e5ee2d99541169a632a29d  faq-6.x-1.13.tar.gz
[11:20 AM] 
[0]whearn@Pluto:~/rpmbuild/SOURCES $ curl http://ftp.drupal.org/files/projects/faq-6.x-1.13.tar.gz | sha256sum 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 35138  100 35138    0     0  98448      0 --:--:-- --:--:-- --:--:--  150k
6004bf782383859d05d3b9ce572cf0be444098c288e5ee2d99541169a632a29d  -



[O] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[O] MUST: The package must be named according to the Package Naming Guidelines .
[O] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
[O] MUST: The package must meet the Packaging Guidelines .
[O] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[O] MUST: The License field in the package spec file must match the actual license. 
[!] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[O] MUST: The spec file must be written in American English. 
[O] MUST: The spec file for the package MUST be legible. 
[O] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[O] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
[O] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
[O] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[O] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[O] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[O] MUST: Packages must NOT bundle copies of system libraries.
[O] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[O] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[O] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[O] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
[O] MUST: Each package must consistently use macros. 
[O] MUST: The package must contain code, or permissable content. 
[O] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
[O] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
[O] MUST: Static libraries must be in a -static package. 
[O] MUST: Development files must be in a -devel package. 
[O] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} 
[O] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[O] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
[O] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[O] MUST: All filenames in rpm packages must be valid UTF-8.


FAIL

[!] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Comment 5 Wesley Hearn 2013-01-15 10:45:17 EST
It seems the license file is not being included

[10:43 AM] 
[0]whearn@deadbox:/var/lib/mock/fedora-17-x86_64/result $ rpm -qlp drupal6-faq-1.13-4.fc17.noarch.rpm /usr/share/doc/drupal6-faq-1.13
/usr/share/doc/drupal6-faq-1.13/drupal6-faq-fedora-README.txt
/usr/share/drupal6/sites/all/modules/faq
/usr/share/drupal6/sites/all/modules/faq/README.txt
/usr/share/drupal6/sites/all/modules/faq/faq.admin.inc
/usr/share/drupal6/sites/all/modules/faq/faq.css
/usr/share/drupal6/sites/all/modules/faq/faq.info
/usr/share/drupal6/sites/all/modules/faq/faq.install
/usr/share/drupal6/sites/all/modules/faq/faq.js
/usr/share/drupal6/sites/all/modules/faq/faq.module
/usr/share/drupal6/sites/all/modules/faq/faq.test
/usr/share/drupal6/sites/all/modules/faq/includes
/usr/share/drupal6/sites/all/modules/faq/includes/faq-category-hide-answer.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq-category-new-page.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq-category-questions-inline.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq-category-questions-top-answers.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq-category-questions-top.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq-hide-answer.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq-new-page.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq-questions-inline.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq-questions-top.tpl.php
/usr/share/drupal6/sites/all/modules/faq/includes/faq.hide_answer.inc
/usr/share/drupal6/sites/all/modules/faq/includes/faq.new_page.inc
/usr/share/drupal6/sites/all/modules/faq/includes/faq.questions_inline.inc
/usr/share/drupal6/sites/all/modules/faq/includes/faq.questions_top.inc
/usr/share/drupal6/sites/all/modules/faq/views
/usr/share/drupal6/sites/all/modules/faq/views/faq.views.inc
Comment 7 Shawn Iwinski 2013-02-25 21:25:25 EST
Wesley -- Do you plan on completing this review?  If not, I can take it.  Shawn
Comment 8 Shawn Iwinski 2013-02-27 17:52:43 EST
Created attachment 703708 [details]
drupal6-faq-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 828849
Comment 9 Shawn Iwinski 2013-02-27 17:53:15 EST
Created attachment 703709 [details]
phpci.log
Comment 10 Shawn Iwinski 2013-02-27 17:56:52 EST
> [!]: Package does not contain duplicates in %files.
>     Note: warning: File listed twice:
>     /usr/share/drupal6/sites/all/modules/faq/LICENSE.txt

MUST: Please update spec to fix this.


> [!]: Packages should try to preserve timestamps of original installed files.

SHOULD: Please consider adding the "-p" (or "--preserve-timestamps") flag to your install command.


SHOULD: Per phpci, please add "php-pcre" requirement.
Comment 12 Shawn Iwinski 2013-03-22 15:24:22 EDT
16c16
< Release: 5%{?dist}
---
> Release: 6%{?dist}
25c25
< Requires:  drupal6
---
> Requires:  drupal6, php-pcre
41c41
< install -d %{buildroot}%{drupal_modules}/%{modname}
---
> install -p -d %{buildroot}%{drupal_modules}/%{modname}
50a51
> %exclude %{drupal_modules}/%{modname}/LICENSE.txt
54a56,59
> * Mon Mar 22 2013 Anderson Silva <ansilva@redhat.com> - 1.13-6
> - add php-pcre virtual requirement
> - fix LICENSE.txt
>

All issues fixed.  No blockers.


===== APPROVED =====
Comment 13 Anderson Silva 2013-03-22 16:31:54 EDT
New Package SCM Request
=======================
Package Name: drupal6-faq
Short Description: The Frequently Asked Questions (faq) module allows users, with appropriate permissions, to create question and answer pairs which they want displayed on the 'faq' page.
Owners: afsilva siwinski
Branches: f17 f18 f19 el6
InitialCC:
Comment 14 Shawn Iwinski 2013-03-23 00:46:16 EDT
Slight modification to include el5.


New Package SCM Request
=======================
Package Name: drupal6-faq
Short Description: The Frequently Asked Questions (faq) module allows users, with appropriate permissions, to create question and answer pairs which they want displayed on the 'faq' page.
Owners: afsilva siwinski
Branches: f17 f18 f19 el5 el6
InitialCC:
Comment 15 Gwyn Ciesla 2013-03-23 09:08:22 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-03-23 11:15:34 EDT
drupal6-faq-1.13-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-faq-1.13-6.fc18
Comment 17 Fedora Update System 2013-03-23 11:16:35 EDT
drupal6-faq-1.13-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-faq-1.13-6.el6
Comment 18 Fedora Update System 2013-03-23 11:17:21 EDT
drupal6-faq-1.13-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-faq-1.13-6.fc17
Comment 19 Fedora Update System 2013-03-23 14:18:16 EDT
drupal6-faq-1.13-6.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 20 Fedora Update System 2013-04-01 18:24:52 EDT
drupal6-faq-1.13-6.fc18 has been pushed to the Fedora 18 stable repository.
Comment 21 Fedora Update System 2013-04-01 18:30:31 EDT
drupal6-faq-1.13-6.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.